Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Python plugins

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21334

Description

Since update of qgis 2.10, it seems that the combine method doens't work as it did in 2.8

when you try to combine several polylines (an union of road sections) you obtain a multipolyline object containing as many polylines as the

number of sections. ITt doesn't try anymore to generate a single polyline if the lines are adjacents

It works with previous versions of Qgis (2.8 for example)

It's blocking because, my plugin build isoband based on an union of simple polylines that were combined as a polyligne converted after in

polygon.

Now in Qgis, it's impossible to convert into polygon as the multipolyline contains as many sections as the number of single polylines and it

is not closed.

Associated revisions

Revision ac3f390d - 2015-10-05 11:25 PM - Jürgen Fischer

restore behavior of QgsGeometry::combine on line strings (fixes #13274)

History

#1 - 2015-10-04 11:29 PM - Paolo Cavallini

- Category set to Python plugins

#2 - 2015-10-05 08:40 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#3 - 2015-10-05 02:26 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"ac3f390dfe0c809e97b4b6b795f70c364659f372".
